Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.v1.usersGetByEmail({
userEmail: "<value>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.v1.users_get_by_email(user_email="<value>")
# Handle response
print(res)curl --request GET \
--url https://api.syllable.cloud/api/v1/users/{user_email} \
--header 'Syllable-API-Key: <api-key>'const options = {method: 'GET', headers: {'Syllable-API-Key': '<api-key>'}};
fetch('https://api.syllable.cloud/api/v1/users/{user_email}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "user@syllable.ai",
"role_id": 1,
"id": 1,
"role_name": "Admin",
"email_sent": true,
"activity_status": "invited",
"last_updated": "2023-11-07T05:31:56Z",
"first_name": "Jane",
"last_name": "Smith",
"utm": {
"utm_source": "<string>",
"utm_medium": "<string>",
"utm_campaign": "<string>",
"utm_term": "<string>",
"utm_content": "<string>"
},
"last_updated_comments": "Updated to change which role was assigned",
"last_updated_by": "admin@email.com",
"last_session_at": "2025-01-01T12:00:00Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}users
Get User
Fetch a given user.
GET
/
api
/
v1
/
users
/
{user_email}
Typescript (SDK)
import { SyllableSDK } from "syllable-sdk";
const syllableSDK = new SyllableSDK({
apiKeyHeader: process.env["SYLLABLESDK_API_KEY_HEADER"] ?? "",
});
async function run() {
const result = await syllableSDK.v1.usersGetByEmail({
userEmail: "<value>",
});
console.log(result);
}
run();import os
from syllable_sdk import SyllableSDK
with SyllableSDK(
api_key_header=os.getenv("SYLLABLESDK_API_KEY_HEADER", ""),
) as ss_client:
res = ss_client.v1.users_get_by_email(user_email="<value>")
# Handle response
print(res)Authorizations
Path Parameters
Response
Successful Response
Information about a user.
Email address of the user
Example:
"user@syllable.ai"
ID of the role assigned to the user
Example:
1
Internal ID of the user
Example:
1
Name of the role assigned to the user
Example:
"Admin"
Whether the welcome email has been sent to the user
Example:
true
The activity status of the user
Available options:
not_invited, invited, active Example:
"invited"
The timestamp of the most recent update to the user
First name of the user
Example:
"Jane"
Last name of the user
Example:
"Smith"
Optional UTM campaign attribution to record in user_metadata.
Show child attributes
Show child attributes
Comments for the most recent edit to the user.
Example:
"Updated to change which role was assigned"
The email address of the user who last updated the user
Example:
"admin@email.com"
The timestamp of the user's last session
Example:
"2025-01-01T12:00:00Z"

